<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_facetoface', language 'de', branch 'MOODLE_32_STABLE'
 *
 * @package   block_facetoface
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allfuturesessions'] = 'Alle zukünftigen Sitzungen';
$string['allsessions'] = 'Alle Sitzungen';
$string['apply'] = 'Anwenden';
$string['attended'] = 'erwartet';
$string['bookinghistory'] = 'Buchungshistorie';
$string['bookinghistoryfor'] = 'Buchungshistorie für {$a}';
$string['bookings'] = 'Buchungen';
$string['calendar:tablesummary'] = 'Monatsansicht mit Veranstaltungen der einzelnen Tage';
$string['cancelled'] = 'storniert';
$string['coursefullname'] = 'Kursname';
$string['date'] = 'Datum/Daten';
$string['datenotset'] = 'Datum nicht gesetzt';
$string['daterange'] = 'Zeitraum:';
$string['daterangeincorrect'] = '"Von" Datum muss vor dem "bis" Datum liegen';
$string['didntattend'] = 'nicht anwesend';
$string['enrolled'] = 'eingeschrieben';
$string['error:invalidcourseid'] = 'Ungültige Kurs-ID';
$string['error:invalidfacetofaceid'] = 'Ungültige Seminar-Aktivitäts-ID';
$string['error:invalidsessionid'] = 'Ungültige Sitzungs-ID';
$string['error:invaliduserid'] = 'Ungültige Nutzer-ID';
$string['exportsessiondates'] = 'Sitzungsdaten exportieren';
$string['facetoface:addinstance'] = 'Neuen Seminar-Block hinzufügen';
$string['facetoface:myaddinstance'] = 'Neuen Seminar-Block auf \'Mein Lernen\'-Seite hinzufügen';
$string['facetoface:viewbookings'] = 'Seminar-Buchungen anzeigen';
$string['filters'] = 'Filter';
$string['finishdate'] = 'Enddatum';
$string['finishtime'] = 'Endzeitpunkt';
$string['fixdates'] = 'Sitzungsdaten festlegen';
$string['formaltitle'] = 'Seminar';
$string['futurebookings'] = 'Zukünftige Buchungen';
$string['futurebookingsfor'] = 'Zukünftige Buchungen für {$a}';
$string['listsessiondates'] = 'Übersicht Seminar-Sitzungsdaten';
$string['mybookings'] = 'Meine Buchungen';
$string['nbbookings'] = 'Buchungen';
$string['nobookinghistory'] = 'Keine Buchungen';
$string['nobookinghistoryfor'] = 'Keine Buchungshistorie für {$a}';
$string['nosessions'] = '<p><i>Keine Sitzungen, die den angegebenen Kriterien entsprechen.</i></p>';
$string['nowaitlistedsessions'] = '<p><i>Keine Kurse mit Warteliste, die den angegebenen Kriterien entsprechen.</i></p>';
$string['pastbookings'] = 'Vergangene Buchungen';
$string['pastbookingsfor'] = 'Vergangene Buchungen für {$a}';
$string['pluginname'] = 'Seminar-Block';
$string['searchedusers'] = '{$a} den Suchkriterien entsprechende Nutzer gefunden';
$string['searchusers'] = 'Nutzer suchen';
$string['sessiondatesview'] = 'Sie sind an folgenden Sitzungen beteiligt:';
$string['sessiondatesviewattendees'] = 'Sie können die Teilnehmer der folgenden Sitzungen anzeigen:';
$string['sessiondatesviewattendeeszero'] = 'Sie können keine Teilnehmer einer Sitzung für den angegbenen Datumsbereich anzeigen.';
$string['sessiondetails'] = 'Sitzungs-Details';
$string['sessionlist'] = 'Sitzungsliste';
$string['sessions'] = 'Sitzungen';
$string['showingallwaitlistedsessions'] = '<p><i>Es werden alle Kurse mit Warteliste, die den angegebenen Kriterien entsprechen, angezeigt.</i></p>';
$string['signedupin'] = 'Sie sind für die folgenden Sitzungen angemeldet:';
$string['signedupinzero'] = 'Es konnten keine Anmeldungen im angegebenen Zeitraum gefunden werden.';
$string['startdate'] = 'Anfangsdatum';
$string['starttime'] = 'Startzeit';
$string['status:approved'] = 'Genehmigt';
$string['status:booked'] = 'Gebucht';
$string['status:declined'] = 'Abgelehnt';
$string['status:fully_attended'] = 'Vollständig teilgenommen';
$string['status:no_show'] = 'Nicht teilgenommen';
$string['status:partially_attended'] = 'Teilweise teilgenommen';
$string['status:requested'] = 'Angefordert';
$string['status:user_cancelled'] = 'Nutzerabsage';
$string['status:waitlisted'] = 'Auf der Warteliste';
$string['tab:bycourse'] = 'Nach Kursen auflisten';
$string['tab:bydate'] = 'Nach Datum auflisten';
$string['tab:calendar'] = 'Kalender';
$string['time'] = 'Zeit(en)';
$string['tooltipheading'] = 'Sitzungen an diesem Tag:';
$string['toomanywaitlistedsessions'] = '<p><i>Es werden {$a} Kurse auf der Warteliste, die den Kriterien entsprechen, angezeigt.</i></p><p><i>Alle zutreffenden Kurse werden im Tab "Nach Kurs" unterhalb aufgelistet.</i></p>';
$string['trainer'] = 'Trainer';
$string['trainers'] = 'Trainer';
$string['trainingcalendar'] = 'Trainings-Kalender';
$string['upcomingsessions'] = 'Bevorstehende Sitzungen';
$string['viewexportsessions'] = 'Sitzungen anzeigen/exportieren';
$string['xevents'] = '<i>und {$a} mehr...</i>';
$string['xrecords'] = '{$a} Aufzeichnungen';
